// Copyright (c) 2022 Maxime “pep” Buquet <pep@bouah.net>
//
// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at http://mozilla.org/MPL/2.0/.

use minidom::Element;
use std::convert::TryFrom;

/// Generic trait for user libraries to use
pub trait Stanza: TryFrom<Element> + Into<Element> {
    /// Returns an iterator over all children elements of the stanza
    fn payloads(&self) -> Box<dyn Iterator<Item = Element> + '_>;
}
